# Workflows Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/workflows/

Schema for the `Workflows` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string)_
  The unique identifier of the workflow.
- **`name`** _(string)_
  The name of the workflow.
- **`description`** _(string)_
  The description of the workflow.
- **`type`** _(string)_
  The type of the workflow.
- **`status`** _(string)_
  The status of the workflow.
  Allowed: `active`, `inactive`, `draft`, `hidden`
- **`created_by`** _(object)_
  The user who created the workflow.
  - **`id`** _(string)_
    The unique identifier of the user.
  - **`name`** _(string)_
    The name of the user.
- **`created_at`** _(string)_
  The date and time when the workflow was created.
- **`updated_at`** _(string)_
  The date and time when the workflow was last updated.
- **`stage`** _(object)_
  The stage of the workflow.
  - **`id`** _(string)_
    The unique identifier of the stage.
  - **`name`** _(string)_
    The name of the stage.
- **`custom_fields`** _(object)_
  All the custom fields present on the workflow
- **`urls`** _(array<object>)_
  The workflow's urls
  - **`url`** _(string)_
    The workflow's URL
  - **`type`** _(string)_
    The workflow's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/workflows](/docs/api-reference/unified-e-signature-api/workflows/list) — List Workflows
- [POST /unified/e-signature/workflows](/docs/api-reference/unified-e-signature-api/workflows/create) — Create Workflows
- [GET /unified/e-signature/workflows/{id}](/docs/api-reference/unified-e-signature-api/workflows/get) — Get Workflows
- [PATCH /unified/e-signature/workflows/{id}](/docs/api-reference/unified-e-signature-api/workflows/update) — Update Workflows
- [POST /unified/e-signature/workflows/cancel](/docs/api-reference/unified-e-signature-api/workflows/cancel) — Cancel Workflows
